package com.jxy.system;

import com.jxy.common.security.annotation.EnableCustomConfig;
import com.jxy.common.security.annotation.EnableJXYFeignClients;
import com.jxy.common.swagger.annotation.EnableCustomSwagger2;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;

/**
 * @Description 系统模块启动类
 * @Date 2022/5/17 13:13
 * @Author 杜懿
 */

@EnableCustomConfig
@EnableCustomSwagger2
@EnableJXYFeignClients
@SpringBootApplication
public class JXYSystemApplication {

    public static void main(String[] args) {
        try {
            SpringApplication.run(JXYSystemApplication.class);
            System.out.println("jxy-system启动成功");
        }catch (Exception e){
            System.out.println(e);
        }

    }



}
